|
|
|
|
|
|
|
|
|
|
xen-devel
[Xen-devel] [PATCH] Check for non-existent local repo
This applies to xen-staging.hg
Check for non-existent local clone in select-repository.
Also change the #!/bin/bash to #!/bin/sh since the Makefile is calling
it explicitly with sh, and fix a couple other typos.
Signed-off-by: Aron Griffis <aron@xxxxxx>
diff -r 7a16a499152c -r c415a482b40e buildconfigs/select-repository
--- a/buildconfigs/select-repository Mon Jun 04 17:09:12 2007 +0100
+++ b/buildconfigs/select-repository Tue Jun 05 08:07:50 2007 -0600
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
ME=$(basename $0)
@@ -39,9 +39,13 @@ fi
fi
BASE=$(dirname ${XEN})
-if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
- echo "$ME: Unable to determine Xen repository parent." 1>&2
+if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
+ echo "$ME: Unable to determine Xen repository base." 1>&2
exit 1;
+fi
+if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
+ echo "$ME: No such dir: $BASE/$REPO" 1>&2
+ exit 1
fi
echo "$ME: Found ${BASE}/${REPO}" 1>&2
_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel
|
<Prev in Thread] |
Current Thread |
[Next in Thread>
|
- [Xen-devel] [PATCH] Check for non-existent local repo,
Aron Griffis <=
|
|
|
|
|